Bug 32557 - anaconda crashed with IOError
anaconda crashed with IOError
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-21 14:21 EST by Need Real Name
Modified: 2007-04-18 12:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-15 10:03:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-03-21 14:21:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [es] (X11; U; Linux 2.2.18 i686)

-----------------------------------
Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 336, in run
    self.icw.run ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 678, in run
    mainloop ()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2554, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 125, in __call__
    ret = apply(self.func, a)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 428, in
nextClicked
    self.setScreen (self.currentScreen, self.nextClicked)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 466, in
setScreen
    new_screen = screen.getScreen ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/package_gui.py", line
427, in getScreen
    self.todo.getCompsList()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 539, in
getCompsList
    self.comps = self.method.readComps(self.hdList)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/image.py", line 16, in
readComps
    return ComponentSet(self.tree + '/RedHat/base/comps', hdlist)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 459, in
__init__
    self.readCompsFile(file, self.packages, arch, matchAllLang)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/comps.py", line 354, in
readCompsFile
    lines = file.readlines()
IOError: [Errno 5] Error de entrada/salida
 
Local variables in innermost frame:
arch2: i686
arch: i386
packages: <comps.HeaderListFromFile instance at 85b0768> 
-----------------------------------


Reproducible: Always
Steps to Reproduce:
1.make partitions
2.Loading packages ...
3.crash
Comment 1 Michael Fulbright 2001-03-22 10:48:21 EST
What type of install were you doing (NFS, CDROM, FTP, etc)?

Looks like a network error from the data present.
Comment 2 Need Real Name 2001-03-22 13:15:24 EST
+What type of install were you doing (NFS, CDROM, FTP, etc)?

install with CDROM
Comment 3 Michael Fulbright 2001-03-23 11:05:59 EST
If you look on VC4 (cntl-alt-f4) do you see any read errors from the kernel when
this traceback occurs?

Looks like your CD is bad.
Comment 4 Brent Fox 2001-04-15 10:03:14 EDT
Closing due to inactivity.  Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.